/*
i2c LCD demo copyright (c) Davide Gironi, 2013

modified by Richard Balogh 2021

Released under GPLv3.
Please refer to LICENSE file for licensing information.
*/

#include <avr/io.h>
#include <util/delay.h>

#include "lcdpcf8574/lcdpcf8574.h"

void def_znak(unsigned char *ZnakArray,unsigned char kam) {	
   lcd_create_custom_char (kam, ZnakArray);
}


int main(void)
{
    //init lcd
    lcd_init(LCD_DISP_ON_BLINK);
    lcd_led(0); // 0 zapne podsvietene, 1 vypne


    lcd_data('A');		// znak A zadany ako znakova konstanta
	lcd_data(' ');		// znak MEDZERA zadany znakova konstanta
	lcd_data(0x68);		// znak h zadany jeho ASCII kodom  (pozri tabulku)
	lcd_data('\x20');	// znak MEDZERA: zadany ako escape sequence
	lcd_data('o');		// znak o zadany ako znakova konstanta
	lcd_data(32);		// znak MEDZERA zadany ASCII kodom v desiatkovej sustave
	lcd_data('j');		// znak j zadany ako znakova konstanta
	
   
   
    while(1);  /* stop here */
}


